Subject: [PWE3] Comments on draft "Dynamic Placement of MS-PW"

From: Jiang Yuan-long <[email-masked]>
Date: Mon, 03 Aug 2009 17:10:59 +0800

Hi Luca,

I also have some comments on your draft-ietf-pwe3-dynamic-ms-pw-09.

1. In Sec 7.1.3, near the top of page 10, it says:
   "...Any subsequent S-PEs will use the same information 
   (i.e. the next BGP next-hop(s)) to obtain the next-signaling-hop(s) 
   on the path to the TT-PE."
Maybe "the next BGP next-hop(s)" should be "TAII"? I think the former 
is a derivate and changes on every S-PE, while the latter keeps the same.
   
   It also says:
   "The NLRI field in the MP_REACH_NLRI and MP_UNREACH_NLRI is a prefix 
   of 0 to 96 bits encoded as defined in section 4 of [RFC4760]."
   It should be:
   "The NLRI field in the MP_REACH_NLRI and MP_UNREACH_NLRI consists of a prefix
   of 0 to 96 bits encoded as defined in section 5 of [RFC4760]."
As NLRI includes 2 tuples <Length, Prefix>, and defined in section 5 of RFC 4760.
   
2. In Sec 7.1.3，I have several questions regarding to the Signaling Procedures:
1) Are the PW FECs the same for both the forwarding and the reverse direction?
According to RFC 4447, the PW FEC of one direction has the SAII and TAII reversed
with respect to the PW FEC of the other direction. But from the description this 
section, it seems both FECs are the same (As the reverse FEC is used to check with
the installed forwarding FEC). Therefore, I think clarification is needed here.
 
2) What is the procedures for a T-PE when it receives a MS-PW label mapping 
message? I think this piece is missing. 
Maybe the FEC processing is the same as RFC 4447, but how about resource and 
bandwidth provisioning?

3) How would a S-PE behave when a PW label mapping message is received 
from a previous hop, and the forwarding FEC has already been installed? That is, 
two copies of label mapping from the same peer is received. Is this case possible?

3. In Sec 9, in the last line, a sub-TLV type 6 is introduced:
   0x06        10       L2 PW address of PW Switching Point
This field is defined in draft-ietf-pwe3-segmented-pw, but actually specified 
and used in this document. According to Sec 6.2 of this ID,  this address consists of
Global ID and Prefix which are both 4 octets. Thus Length should be 8 rather than 10.
As I noted in the last email, this mismatch may root in the original ID of RFC 5003, 
which defined Global ID as 6 octets in length, but changes it to 4 in the final RFC.

Best Regards
Yuanlong Jiang

---

From: Jiang Yuanlong <[email-masked]>
Date: Sat, 15 Aug 2009 10:44:02 +0800

Hi Luca,

I have some more comments on your draft-ietf-pwe3-dynamic-ms-pw-09.

1. In Sec 7.1.3, near the top of page 10, it says:
   "...Any subsequent S-PEs will use the same information 
   (i.e. the next BGP next-hop(s)) to obtain the next-signaling-hop(s) 
   on the path to the TT-PE."
Maybe "the next BGP next-hop(s)" should be "TAII"? I think the former 
is a derivate and changes on every S-PE, while the latter keeps the same.
Or it may be better expressed as:
   "...Any subsequent S-PEs will use the same information 
   to obtain the next-signaling-hop(s) (i.e. the next BGP next-hop(s)) 
   on the path to the TT-PE."
   
   It also says:
   
2. In Sec 7.2.3，I have several questions regarding to the Detailed Signaling Procedures:
1) According to RFC 4447, the PW FEC of one direction must have the SAII and 
TAII reversed with respect to the PW FEC of the other direction. If this is not changed
in MS-PW, then FEC checking actually consists of two lookups: lookup with both FEC and
its reversed version. Is this right?
 
2) How would a S-PE behave when a PW label mapping message is received 
from a previous hop, and the forwarding FEC has already been installed? That is, 
two copies of label mapping from the same peer is received. Is this case possible?

3. In Sec 6.2, the last sentence is misleading:
         "...For this purpose at least one
   AI address of the format similar to AII type 2 [RFC5003] composed of
   the Global ID, and Prefix part only MUST be assigned to each S-PE."
It would be understood that a new address format only consists of the Global ID 
and Prefix is defined for S-PE. Maybe this draft only needs to reference to 
draft-ietf-pwe3-segmented-pw.

Best Regards
Yuanlong Jiang